# 2.12 WDT 模块API手册



## 前言

### 概述

本文档主要介绍machine模块下的WDT类API。

### 读者对象

本文档（本指南）主要适用于以下人员：

- 技术支持工程师
- 软件开发工程师

### 缩略词定义

| 简称 | 说明 |
| ---- | ---- |
| WDT  |  watch dog  |

### 修订记录

| 文档版本号 | 修改说明 | 修改者     | 日期       |
| ---------- | -------- | ---------- | ---------- |
| V1.0       | 初版     | 软件部      | 2023-09-19 |

## 1. 概述

K230内部包含两个WDT硬件模块，用于在应用程序崩溃且最终进入不可恢复状态时重启系统。一旦开始，当硬件运行期间没有定期进行喂狗（feed）就会在超时后自动复位。

## 2. API描述

WDT类位于machine模块下

### 2.1 示例

```python
from machine import WDT
# 实例化wdt1，timeout为3s
wdt1 = WDT(1,3)
# 喂狗操作
wdt1.feed()
```

### 2.2 构造函数

```python
wdt = WDT(id=1, timeout=5)
```

【参数】

- id: WDT号，取值:[0,1]，默认1
- timeout: 超时值，单位s，默认5

**注意：** WDT0暂不可用

### 2.3 feed

```python
WDT.feed()
```

喂狗操作

【参数】

无

【返回值】

无
